## ListWorkflowExecutionOutputs `client.Automations.ListExecutionOutputs(ctx, params) (*OutputsPage[AutomationListExecutionOutputsResponse], error)` **post** `/gitpod.v1.WorkflowService/ListWorkflowExecutionOutputs` Lists outputs produced by workflow execution actions. Use this method to: - Retrieve test results, coverage metrics, or other structured data from executions - Aggregate outputs across multiple workflow executions - Build dashboards or reports from execution data ### Examples - List outputs for a workflow execution: Retrieves all outputs produced by actions in the specified execution. ```yaml filter: workflowExecutionIds: ["d2c94c27-3b76-4a42-b88c-95a85e392c68"] pagination: pageSize: 50 ``` ### Parameters - `params AutomationListExecutionOutputsParams` - `Token param.Field[string]` Query param - `PageSize param.Field[int64]` Query param - `Filter param.Field[AutomationListExecutionOutputsParamsFilter]` Body param - `WorkflowExecutionIDs []string` - `Pagination param.Field[AutomationListExecutionOutputsParamsPagination]` Body param - `Token string` Token for the next set of results that was returned as next_token of a PaginationResponse - `PageSize int64` Page size is the maximum number of results to retrieve per page. Defaults to 25. Maximum 100. ### Returns - `type AutomationListExecutionOutputsResponse struct{…}` - `ActionID string` - `Values map[string, AutomationListExecutionOutputsResponseValue]` - `BoolValue bool` - `FloatValue float64` - `IntValue string` - `StringValue string` ### Example ```go package main import ( "context" "fmt" "github.com/gitpod-io/gitpod-sdk-go" "github.com/gitpod-io/gitpod-sdk-go/option" ) func main() { client := gitpod.NewClient( option.WithBearerToken("My Bearer Token"), ) page, err := client.Automations.ListExecutionOutputs(context.TODO(), gitpod.AutomationListExecutionOutputsParams{ Filter: gitpod.F(gitpod.AutomationListExecutionOutputsParamsFilter{ WorkflowExecutionIDs: gitpod.F([]string{"d2c94c27-3b76-4a42-b88c-95a85e392c68"}), }), Pagination: gitpod.F(gitpod.AutomationListExecutionOutputsParamsPagination{ PageSize: gitpod.F(int64(50)), }), }) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", page) } ``` #### Response ```json { "outputs": [ { "actionId": "actionId", "values": { "foo": { "boolValue": true, "floatValue": 0, "intValue": "intValue", "stringValue": "stringValue" } } } ], "pagination": { "nextToken": "nextToken" } } ```